Debian Bug report logs - #389318
xcache_1.0-4(ia64/unstable): FTBFS: compiler errors

version graph

Package: xcache; Maintainer for xcache is Debian PHP PECL Maintainers <pkg-php-pecl@lists.alioth.debian.org>;

Reported by: lamont@debian.org

Date: Mon, 25 Sep 2006 03:18:14 UTC

Severity: serious

Tags: fixed

Found in version 1.0-4

Fixed in version xcache/1.2.0-2

Done: Michal Čihař <nijel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#389318; Package xcache. Full text and rfc822 format available.

Acknowledgement sent to lamont@debian.org:
New Bug report received and forwarded. Copy sent to RISKO Gergely <risko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: lamont@debian.org
To: submit@bugs.debian.org
Subject: xcache_1.0-4(ia64/unstable): FTBFS: compiler errors
Date: Sun, 24 Sep 2006 21:15:48 -0600
Package: xcache
Version: 1.0-4
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of xcache_1.0-4 on caballero by sbuild/ia64 85
> Build started at 20060922-0746

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.2), php4-dev, php5-dev

[...]

> /build/buildd/xcache-1.0/build-php4/processor_real.c: In function 'xc_restore_HashTable_zval_ptr':
> /build/buildd/xcache-1.0/build-php4/processor_real.c:13505: error: 'zval_ptr' undeclared (first use in this function)
> /build/buildd/xcache-1.0/build-php4/processor_real.c:13518: warning: implicit declaration of function 'xc_restore_zval_ptr'
> /build/buildd/xcache-1.0/build-php4/processor_real.c:13522: error: expected expression before ')' token
> /build/buildd/xcache-1.0/build-php4/processor_real.c:13548: error: expected expression before ')' token
> /build/buildd/xcache-1.0/build-php4/processor_real.c:13560: error: expected expression before ')' token
> /build/buildd/xcache-1.0/build-php4/processor_real.c: At top level:
> /build/buildd/xcache-1.0/build-php4/processor_real.c:14888: error: expected declaration specifiers or '...' before 'zval_ptr'
> /build/buildd/xcache-1.0/build-php4/processor_real.c:14888: warning: type defaults to 'int' in declaration of 'zval_ptr'
> /build/buildd/xcache-1.0/build-php4/processor_real.c:14888: error: expected ';', ',' or ')' before '*' token
> /build/buildd/xcache-1.0/build-php4/processor_real.c: In function 'xc_restore_zend_op_array':
> /build/buildd/xcache-1.0/build-php4/processor_real.c:17122: warning: unused variable 'i'
> make[1]: *** [processor.lo] Error 1
> make[1]: Leaving directory `/build/buildd/xcache-1.0/build-php4'
> make: *** [build-php4-stamp] Error 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=ia64&pkg=xcache&ver=1.0-4




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#389318; Package xcache. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. Full text and rfc822 format available.

Message #10 received at 389318@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 389318@bugs.debian.org
Subject: Re: xcache_1.0-4(ia64/unstable): FTBFS: compiler errors
Date: Sat, 7 Oct 2006 11:05:00 +0100
[Message part 1 (text/plain, inline)]
Looking at this on i386 and hppa, there seems to be a problem with the
m4 script in build-php4...

i386:

/usr/bin/X11/m4 -D srcdir="/home/steve/debian/bsp/xcache-1.0/build-php4" -D builddir="."
/home/steve/debian/bsp/xcache-1.0/build-php4/processor/main.m4 > ./processor.out.tmp
AUTOCHECK INFO: runtime autocheck Disabled (optimized build)
AUTOCHECK WARN: zend_compiled_variable: missing structinfo, dont panic
AUTOCHECK WARN: zend_try_catch_element: missing structinfo, dont panic
AUTOCHECK INFO: zend_brk_cont_element: processor looks good
AUTOCHECK INFO: HashTable: processor looks good
...

hppa:

/usr/bin/m4 -D srcdir="/home/steve/build/xcache-1.0/build-php4" -D
builddir="." /home/steve/build/xcache-1.0/build-php4/processor/main.m4
> ./processor.out.tmp
AUTOCHECK INFO: runtime autocheck Disabled (optimized build)
/usr/bin/m4:./structinfo.m4:11: Warning: excess arguments to builtin `define' ignored
AUTOCHECK WARN: zend_compiled_variable: missing structinfo, dont panic
AUTOCHECK WARN: zend_try_catch_element: missing structinfo, dont panic
AUTOCHECK INFO: zend_brk_cont_element: processor looks good
AUTOCHECK INFO: HashTable: processor looks good
AUTOCHECK INFO: zval: processor looks good
AUTOCHECK WARN: zend_arg_info: missing structinfo, dont panic
AUTOCHECK WARN: zend_property_info: missing structinfo, dont panic
AUTOCHECK INFO: zend_class_entry: processor looks good
AUTOCHECK INFO: znode: processor looks good
make: *** [processor.out] Interrupt

ia64:

/usr/bin/m4 -D srcdir="/build/buildd/xcache-1.0/build-php4" -D
builddir="."  /build/buildd/xcache-1.0/build-php4/processor/main.m4 >
./processor.out.tmp
AUTOCHECK INFO: runtime autocheck Disabled (optimized build)
/usr/bin/m4:./structinfo.m4:11: Warning: excess arguments to builtin
`define' ignored
AUTOCHECK WARN: zend_compiled_variable: missing structinfo, dont panic
AUTOCHECK WARN: zend_try_catch_element: missing structinfo, dont panic
AUTOCHECK INFO: zend_brk_cont_element: processor looks good
AUTOCHECK INFO: HashTable: processor looks good

Note the "Warning: excess arguments" line present in both the hppa and
ia64 output. Because of that, the m4 script is producing garbage
instead of C and so the compilation fails.

I'm looking further.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"When C++ is your hammer, everything looks like a thumb." -- Steven M. Haflich
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Steve McIntyre <93sam@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to lamont@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 389318-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 389318-done@bugs.debian.org
Subject: Re: xcache_1.0-4(ia64/unstable): FTBFS: compiler errors
Date: Sat, 7 Oct 2006 13:15:04 +0100
[Message part 1 (text/plain, inline)]
On Sat, Oct 07, 2006 at 11:05:00AM +0100, Steve McIntyre wrote:
>Looking at this on i386 and hppa, there seems to be a problem with the
>m4 script in build-php4...

... which is generated by a badly-written awk script. Here's a patch
that fixes this failure. In the long run, IMHO it'd be better if
upstream gave up trying to parse C headers using a simple awk script.

Uploaded to unstable today from the Zurich BSP.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"The problem with defending the purity of the English language is that
 English is about as pure as a cribhouse whore. We don't just borrow words; on
 occasion, English has pursued other languages down alleyways to beat them
 unconscious and rifle their pockets for new vocabulary."  -- James D. Nicoll
[xcache-nmu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#389318; Package xcache. Full text and rfc822 format available.

Acknowledgement sent to Riskó Gergely <gergely@risko.hu>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. Full text and rfc822 format available.

Message #22 received at 389318@bugs.debian.org (full text, mbox):

From: Riskó Gergely <gergely@risko.hu>
To: 389318@bugs.debian.org
Cc: Steve McIntyre <steve@einval.com>, phpxcache <phpxcache@gmail.com>
Subject: Re: php xcache in Debian
Date: Sun, 08 Oct 2006 04:50:49 +0200
Thanks for your reply, I forward this to our BTS for futher reference.

gergely

On Sun, 8 Oct 2006 08:17:06 +0800, phpxcache <phpxcache@gmail.com> writes:

> sorry, i didn't tell u that i've fixed it
> http://trac.lighttpd.net/xcache/changeset/169
> http://trac.lighttpd.net/xcache/changeset/187
> i'll think of backporting it to 1.0 branch
>
> and yes, using c parser is better (like perl's c2h, using gcc)
>
> On 10/7/06, Riskó Gergely <gergely@risko.hu> wrote:
>> Hello!
>>
>> One of us looked more deeply into this problem, I could afford, and
>> came up with a solution, please review his patch and if you agree with
>> it, merge this to your upstream source:
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=389318
>>
>> You can also contact with Steve McIntyre <steve@einval.com> about this
>> issue, I'm sure he will gadly help.
>>
>> Thanks for your support,
>> gergely
>>
>> On Sat, 16 Sep 2006 13:37:23 +0800, phpxcache <phpxcache@gmail.com> writes:
>>
>> > i have some replies at http://forum.lighttpd.net/topic/1793
>> > subject: compiling on rare architectures (alpha, powerpc, ia64, etc.)
>> >
>> > i'd like to fix them, but i need the whole build directory to look
>> > into the problem, especially the includes.i, and (if possible) need an
>> > access to one of those arch so i can test.
>>



Reply sent to Michal Čihař <nijel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to lamont@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 389318-close@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: 389318-close@bugs.debian.org
Subject: Bug#389318: fixed in xcache 1.2.0-2
Date: Wed, 23 May 2007 07:32:04 +0000
Source: xcache
Source-Version: 1.2.0-2

We believe that the bug you reported is fixed in the latest version of
xcache, which is due to be installed in the Debian FTP archive:

php5-xcache_1.2.0-2_i386.deb
  to pool/main/x/xcache/php5-xcache_1.2.0-2_i386.deb
xcache_1.2.0-2.diff.gz
  to pool/main/x/xcache/xcache_1.2.0-2.diff.gz
xcache_1.2.0-2.dsc
  to pool/main/x/xcache/xcache_1.2.0-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 389318@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michal Čihař <nijel@debian.org> (supplier of updated xcache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 23 May 2007 09:15:24 +0200
Source: xcache
Binary: php5-xcache
Architecture: source i386
Version: 1.2.0-2
Distribution: unstable
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
Description: 
 php5-xcache - Fast, stable PHP opcode cacher
Closes: 389318 389586 397432 398091 398244
Changes: 
 xcache (1.2.0-2) unstable; urgency=low
 .
   * You should check opened bugs before upload.
   * Acknowledge NMU, thanks Steve (Closes: #389318).
   * Current version seems to build fine (Closes: #398244).
   * We depend on current PHP API (Closes: #398091).
   * Default xcache.ini for PHP is also installed since previous upload
     (Closes: #397432).
   * No reference PHP4 as there is no PHP4 package anymore (Closes: #389586).
Files: 
 c3534ec845205aee9f0453153db1b44c 664 web optional xcache_1.2.0-2.dsc
 0df7d2d0c12c92e6ee9672114a13a6de 4539 web optional xcache_1.2.0-2.diff.gz
 dfec809cf6474178e9fab6078f827196 71066 web optional php5-xcache_1.2.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGU+t53DVS6DbnVgQRAnoYAJ9ROLRWvkOrDMPZuxyAAqZYVK8YxgCfdECL
+x5WdYllQSdRSRyhhpd9M7w=
=X7Ae
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2007 07:37:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:58:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.